Subject: [bug#68163] [PATCH] gnu: Prevent stale cache use when `%package-module-path' is parameterized.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 08 Jan 2024 18:06:02 +0100

Hi,

antlers <[email-masked]> skribis:

> * gnu/packages.scm(find-package-by-name/direct): Convert `delay'-ed cache
> construction in closure into a form memoized over `%package-module-path'.
>
> Change-Id: I6e4b4b3fa58082b79aacf307468aec43ec60bf22
> ---
> This enables `specification->package' to be parameterized to resolve packages
> from within the module-under-compilation.
>
> I use this to parse my init.el[0] into packages in my guix-home profile, all
> in one repo.

Looks like you forgot reference [0].

(I’m not sure I understand the use case but seeing your code will surely
help!)

Thanks,
Ludo’.